# Changelog

# 2021.1 (5)
This is a major update, as the UI code has been rewritten completely from scratch and is much more pleasant to use!

Features/Improvements:
- Add forwards/backwards navigation edge swipe gestures
- Add Table of Contents feature
  - Shows hierarchy of headings on the page
  - Allows tapping a heading to jump to its position
- Display images served over Gemini
- Hide system status bar when UI chrome is hidden
- Add text selection support
- Add context menu previews for Gemini and HTTP(S) links
- Be more lenient when interpreting URLs typed into the URL bar

Bugfixes:
- Fix redirects not being followed
- Fix keyboard not being dismissed in some circumstances
- Warn on tapping a non-Gemini/HTTP/HTTPS link that cannot be handled by any installed app
- iPadOS: Fix incorrect Preferences view style

# 2020.1 (4)
This is a quick build just to fix a couple issues. The next version (barring any major problems with this version) is going to take more time, as I'm planning to significantly rework the UI code.

Known Issues:
- Document text is not accessible to VoiceOver/Voice Control

Features/Improvements:
- Add history context menus to Back/Forward buttons
- Add theme override preference

Bugfixes:
- Fix crash tapping Share button on iPad
- Add accessibility labels to toolbar buttons
- Improve link contrast in dark mode
- Add pointer interactions to toolbar buttons
