//
//  ContentView.swift
//  Gemini
//
//  Created by Shadowfacts on 7/12/20.
//

import SwiftUI
import BrowserCore

struct ContentView: View {
    let navigator: NavigationManager
    
    var body: some View {
        BrowserView(navigator: navigator)
            .frame(minWidth: 480, maxWidth: .infinity, minHeight: 300, maxHeight: .infinity)
    }
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView(navigator: NavigationManager(url: URL(string: "gemini://localhost/overview.gmi")!))
    }
}
